import { IList } from "./list-type";
import { ILocation } from "./location-type";
import { IReportImage } from "./report-image-type";

export interface IMyReports {
  id: number;
  location: ILocation[];
  image: IReportImage[];
  status: number;
  total_likes: number;
  count_reviews: number;
  created_at: string;
  updated_at: string;
}

export interface IMyReportsList extends IList {
  results: IMyReports[];
}
